Skip to main content
GET
/
companies
List companies
curl --request GET \
  --url https://app.leonar.app/api/v1/companies \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "b2c3d4e5-6789-01ab-cdef-234567890abc",
      "name": "Doctolib",
      "domain": "doctolib.com",
      "industry": "Health Tech",
      "company_size": "1001-5000",
      "description": null,
      "location": "Paris, France",
      "logo_url": "https://logo.clearbit.com/doctolib.com",
      "phone": null,
      "linkedin_url": "https://www.linkedin.com/company/doctolib",
      "annual_revenue": null,
      "created_at": "2025-01-10T08:00:00Z",
      "updated_at": "2025-01-20T14:00:00Z",
      "archived_at": null
    }
  ],
  "meta": {
    "total": 142,
    "limit": 50,
    "offset": 0,
    "has_more": true
  }
}

Authorizations

Authorization
string
header
required

API key starting with leo_

Query Parameters

limit
integer
default:50

Items per page

Required range: 1 <= x <= 100
offset
integer
default:0

Items to skip

Required range: x >= 0

Search by name or domain

industry
string
owner_id
string<uuid>
sort
string
default:-created_at

Options: created_at, updated_at, name

Response

List of companies

data
object[]
meta
object
Example:
{
"total": 142,
"limit": 50,
"offset": 0,
"has_more": true
}